For Developers
Analyze Request
GET https://ed.link/api/v2/teams/:team_id/requests/:request_id/analyze
Executes the automated request analyzer, providing root cause analysis and recommendations for failed requests.
Permissions
Requires the logs.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:request_id | UUID | Yes | The ID of the request. |
model | String | No | Optional analyzer model selection. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/requests/${request_id}/analyze`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": "Analysis: The 403 Forbidden was returned because the integration has not been granted the 'coursework.read' permission scope in the Edlink dashboard."
}
